<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Player Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="classPlayer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Player Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="player_8hpp_source.html">player.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Player:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayer__coll__graph.png" border="0" usemap="#Player_coll__map" alt="Collaboration graph"/></div>
<map name="Player_coll__map" id="Player_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,121,303"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9ff0521ec7ac4544b96589778efb3f39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a9ff0521ec7ac4544b96589778efb3f39">Player</a> (std::string userName, int <a class="el" href="classPlayer.html#a921696d3b168c6827a2d9496f8921b6c">id</a>, int <a class="el" href="classPlayer.html#a5c58bd81dab558632f7e1a9b3fff0253">points</a>, std::vector&lt; int &gt; hand)</td></tr>
<tr class="separator:a9ff0521ec7ac4544b96589778efb3f39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a715bef7231214d7f63efe184f4493262"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a715bef7231214d7f63efe184f4493262">Player</a> (const QJsonObject &amp;o)</td></tr>
<tr class="separator:a715bef7231214d7f63efe184f4493262"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe0cc3cb714f6deb4e62f0c0d3f1fd8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#affe0cc3cb714f6deb4e62f0c0d3f1fd8">Player</a> ()</td></tr>
<tr class="separator:affe0cc3cb714f6deb4e62f0c0d3f1fd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42362a8da7abf0ba586c087c89ee899d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a42362a8da7abf0ba586c087c89ee899d">username</a> () const</td></tr>
<tr class="separator:a42362a8da7abf0ba586c087c89ee899d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c58bd81dab558632f7e1a9b3fff0253"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a5c58bd81dab558632f7e1a9b3fff0253">points</a> () const</td></tr>
<tr class="separator:a5c58bd81dab558632f7e1a9b3fff0253"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a921696d3b168c6827a2d9496f8921b6c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a921696d3b168c6827a2d9496f8921b6c">id</a> () const</td></tr>
<tr class="separator:a921696d3b168c6827a2d9496f8921b6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6eb88f3eefd4eacff8a368699551c7e"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#af6eb88f3eefd4eacff8a368699551c7e">cards</a> () const</td></tr>
<tr class="separator:af6eb88f3eefd4eacff8a368699551c7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b003a2011e65677bd57a81caa6109d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a5b003a2011e65677bd57a81caa6109d8">addCard</a> (int cardId)</td></tr>
<tr class="separator:a5b003a2011e65677bd57a81caa6109d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42f4e9ab541735d4105f7f727db14c2d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a42f4e9ab541735d4105f7f727db14c2d">addPoints</a> (int <a class="el" href="classPlayer.html#a5c58bd81dab558632f7e1a9b3fff0253">points</a>)</td></tr>
<tr class="separator:a42f4e9ab541735d4105f7f727db14c2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17eccc1f51fac91d6f03ee1a29e62780"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a17eccc1f51fac91d6f03ee1a29e62780">discard</a> (int cardId)</td></tr>
<tr class="separator:a17eccc1f51fac91d6f03ee1a29e62780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c049c13d4dfba9eb62f76f46ab82958"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a6c049c13d4dfba9eb62f76f46ab82958">toJson</a> ()</td></tr>
<tr class="separator:a6c049c13d4dfba9eb62f76f46ab82958"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a7113b6db3b28209b53b3fa9303f12022"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classPlayer.html">Player</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a7113b6db3b28209b53b3fa9303f12022">fromJson</a> (const QJsonObject &amp;o)</td></tr>
<tr class="separator:a7113b6db3b28209b53b3fa9303f12022"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0c99af4b7950452158d78c15ff05ab38"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a0c99af4b7950452158d78c15ff05ab38">m_username</a></td></tr>
<tr class="separator:a0c99af4b7950452158d78c15ff05ab38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb55893c7c4eaddcdf1e34c34716c907"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#adb55893c7c4eaddcdf1e34c34716c907">m_id</a></td></tr>
<tr class="separator:adb55893c7c4eaddcdf1e34c34716c907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1309f93ee2d9b7502c940942a52c2457"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a1309f93ee2d9b7502c940942a52c2457">m_hand</a></td></tr>
<tr class="separator:a1309f93ee2d9b7502c940942a52c2457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af40b202e39d34b244b882aeead951552"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#af40b202e39d34b244b882aeead951552">m_points</a></td></tr>
<tr class="separator:af40b202e39d34b244b882aeead951552"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a4edf67554440d76b2384045414b3ec03"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html#a4edf67554440d76b2384045414b3ec03">playerCnt</a> = -1</td></tr>
<tr class="separator:a4edf67554440d76b2384045414b3ec03"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9ff0521ec7ac4544b96589778efb3f39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff0521ec7ac4544b96589778efb3f39">&#9670;&nbsp;</a></span>Player() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::Player </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>points</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; int &gt;&#160;</td>
          <td class="paramname"><em>hand</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a715bef7231214d7f63efe184f4493262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a715bef7231214d7f63efe184f4493262">&#9670;&nbsp;</a></span>Player() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::Player </td>
          <td>(</td>
          <td class="paramtype">const QJsonObject &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="affe0cc3cb714f6deb4e62f0c0d3f1fd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affe0cc3cb714f6deb4e62f0c0d3f1fd8">&#9670;&nbsp;</a></span>Player() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Player::Player </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5b003a2011e65677bd57a81caa6109d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b003a2011e65677bd57a81caa6109d8">&#9670;&nbsp;</a></span>addCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Player::addCard </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cardId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42f4e9ab541735d4105f7f727db14c2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42f4e9ab541735d4105f7f727db14c2d">&#9670;&nbsp;</a></span>addPoints()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Player::addPoints </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>points</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6eb88f3eefd4eacff8a368699551c7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6eb88f3eefd4eacff8a368699551c7e">&#9670;&nbsp;</a></span>cards()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; int &gt; Player::cards </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17eccc1f51fac91d6f03ee1a29e62780"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17eccc1f51fac91d6f03ee1a29e62780">&#9670;&nbsp;</a></span>discard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Player::discard </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cardId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7113b6db3b28209b53b3fa9303f12022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7113b6db3b28209b53b3fa9303f12022">&#9670;&nbsp;</a></span>fromJson()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classPlayer.html">Player</a> * Player::fromJson </td>
          <td>(</td>
          <td class="paramtype">const QJsonObject &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a921696d3b168c6827a2d9496f8921b6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a921696d3b168c6827a2d9496f8921b6c">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Player::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c58bd81dab558632f7e1a9b3fff0253"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c58bd81dab558632f7e1a9b3fff0253">&#9670;&nbsp;</a></span>points()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Player::points </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c049c13d4dfba9eb62f76f46ab82958"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c049c13d4dfba9eb62f76f46ab82958">&#9670;&nbsp;</a></span>toJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject Player::toJson </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42362a8da7abf0ba586c087c89ee899d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42362a8da7abf0ba586c087c89ee899d">&#9670;&nbsp;</a></span>username()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Player::username </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1309f93ee2d9b7502c940942a52c2457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1309f93ee2d9b7502c940942a52c2457">&#9670;&nbsp;</a></span>m_hand</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;int&gt; Player::m_hand</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adb55893c7c4eaddcdf1e34c34716c907"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb55893c7c4eaddcdf1e34c34716c907">&#9670;&nbsp;</a></span>m_id</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Player::m_id</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af40b202e39d34b244b882aeead951552"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af40b202e39d34b244b882aeead951552">&#9670;&nbsp;</a></span>m_points</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Player::m_points</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c99af4b7950452158d78c15ff05ab38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c99af4b7950452158d78c15ff05ab38">&#9670;&nbsp;</a></span>m_username</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Player::m_username</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4edf67554440d76b2384045414b3ec03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4edf67554440d76b2384045414b3ec03">&#9670;&nbsp;</a></span>playerCnt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Player::playerCnt = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>backend/src/lib/game/<a class="el" href="player_8hpp_source.html">player.hpp</a></li>
<li>backend/src/lib/game/<a class="el" href="player_8cpp.html">player.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
